package com.huiju.estateagents.property.common;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * session 基础类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserElement implements Serializable {




    /** 用户唯一标识符 **/
    private Integer id;

    /** 小区id **/
    private Integer orgId;

    /** 用户名 **/
    private String userName;

    /** 登陆名 **/
    private String loginName;

    /** 邮箱 **/
    private String email;

    /** 用户状态 **/
    private String status;

    /** 登陆类型 **/
    private String loginType;

    /** 当前登陆的房产 **/
    private Integer userVerifyId;

    /** 当前登录 期id **/
    private Integer phaseId;

    /** 当前登录 栋id **/
    private Integer buildingId;

    /** 当前登录 单元id **/
    private Integer unitId;

    /** 当前登录 楼层id **/
    private Integer levelId;

    /** 当前登录 户号id **/
    private Integer roomNoId;

    /**
     * 海康人员编号
     */
    private String hkPersonNo;

    /**
     * 海康用户id
     */
    private String hkUserId;

    /**
     * 海康卡片号码
     */
    private String hkCardNo;

    @Override
    public String toString() {
        return "UserElement{" +
                "id=" + id +
                ", orgId=" + orgId +
                ", userName='" + userName + '\'' +
                ", loginName='" + loginName + '\'' +
                ", email='" + email + '\'' +
                ", status='" + status + '\'' +
                ", loginType='" + loginType + '\'' +
                ", userVerifyId=" + userVerifyId +
                ", phaseId=" + phaseId +
                ", buildingId=" + buildingId +
                ", unitId=" + unitId +
                ", levelId=" + levelId +
                ", roomNoId=" + roomNoId +
                ", hkPersonNo='" + hkPersonNo + '\'' +
                ", hkUserId='" + hkUserId + '\'' +
                ", hkCardNo='" + hkCardNo + '\'' +
                '}';
    }
}
